Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class XmlFriendlyMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.AbstractXmlFriendlyMapper
              com.thoughtworks.xstream.mapper.XmlFriendlyMapper

All Implemented Interfaces:
  Mapper

Deprecated. since 1.3, use `XmlFriendlyReader`

    public class XmlFriendlyMapper

extends AbstractXmlFriendlyMapper

Mapper that ensures that all names in the serialization stream are XML friendly. The replacement chars and strings are:

- $ (dollar) chars appearing in class names are replaced with _ (underscore) chars.
- $ (dollar) chars appearing in field names are replaced with _DOLLAR_ string.
- _ (underscore) chars appearing in field names are replaced with __ (double underscore) string.
- default as the prefix for class names with no package.

Author:
  Joe Walnes, Mauro Talevi

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`XmlFriendlyMapper(ClassMapper wrapped)` Deprecated. since 1.2, use `XmlFriendlyMapper(Mapper)`
`XmlFriendlyMapper(Mapper wrapped)` Deprecated. since 1.3, use `XmlFriendlyReader`

Method Summary
`String` | `mapNameFromXML(String xmlName)` Deprecated.
`String` | `mapNameToXML(String javaName)` Deprecated.
`Class` | `realClass(String elementName)` Deprecated. How a serialized class representation should be mapped back to a real class.
`String` | `realMember(Class type, String serialized)` Deprecated. How a serialized member representation should be mapped back to a real member.
`String` | `serializedClass(Class type)` Deprecated. How a class name should be represented in its serialized form.
`String` | `serializedMember(Class type, String memberName)` Deprecated. How a class member should be represented in its serialized form.

Methods inherited from class com.thoughtworks.xstream.mapper.AbstractXmlFriendlyMapper
`escapeClassName, escapeFieldName, unescapeClassName, unescapeFieldName`

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlFriendlyMapper

    public XmlFriendlyMapper(Mapper wrapped)

  Deprecated. since 1.3, use `XmlFriendlyReader`

### XmlFriendlyMapper

    public XmlFriendlyMapper(ClassMapper wrapped)

  Deprecated. since 1.2, use `XmlFriendlyMapper(Mapper)`

Method Detail

### serializedClass

    public String serializedClass(Class type)

  Deprecated.
  Description copied from interface: `Mapper`
  How a class name should be represented in its serialized form.

  Specified by:
    `serializedClass` in interface `Mapper`
  Overrides:
    `serializedClass` in class `MapperWrapper`

### realClass

    public Class realClass(String elementName)

  Deprecated.
  Description copied from interface: `Mapper`
  How a serialized class representation should be mapped back to a real class.

  Specified by:
    `realClass` in interface `Mapper`
  Overrides:
    `realClass` in class `MapperWrapper`

### serializedMember

    public String serializedMember(Class type,
                                   String memberName)

  Deprecated.
  Description copied from interface: `Mapper`
  How a class member should be represented in its serialized form.

  Specified by:
    `serializedMember` in interface `Mapper`
  Overrides:
    `serializedMember` in class `MapperWrapper`

### realMember

    public String realMember(Class type,
                             String serialized)

  Deprecated.
  Description copied from interface: `Mapper`
  How a serialized member representation should be mapped back to a real member.

  Specified by:
    `realMember` in interface `Mapper`
  Overrides:
    `realMember` in class `MapperWrapper`

### mapNameToXML

    public String mapNameToXML(String javaName)

  Deprecated.

### mapNameFromXML

    public String mapNameFromXML(String xmlName)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.